using System;

internal sealed class Delegate120 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate120 delegate120_1)
	{
		return delegate120_1(object_0);
	}

	public extern Delegate120(object object_0, IntPtr intptr_0);

	static Delegate120()
	{
		Class10.smethod_13(typeof(Delegate120).TypeHandle);
	}

	internal static Delegate120 delegate120_0;
}
